<?php
# Jenis - Jenis biaya
$Investasi;
$Sum_Constant;
$Sum_Variabel;
$Sum_Material;
$Sum_Overhead;
$Sum_Gross;
$Avaible_Stock;
$Total_Stock;

class Cost_Count{
    public $Nama;
    public $Cons_Cost;
    public $Var_Cost;
    public $Material;
    public $Overhead;
    public $Stock;
    public function __construct($Nama,$Cons_Cost,$Var_Cost,$Material,$Overhead,$Stock)
    {
        $this->Nama =$Nama;
        $this->Cons_Cost=$Cons_Cost;
        $this->Var_Cost=$Var_Cost;
        $this->Material=$Material;
        $this->Overhead=$Overhead;
        $this->Stock=$Stock;
    }
    public function Sum_Constant(){
        $G = "Test<br><hr>Nama : {$this->Nama} <br>Stock : {$this->Stock}<br>";
        return $G;
    }
    public function Data(){
        echo "Re:Test<br>Overhead :{$this->Overhead}<br>Variable Cost :{$this->Var_Cost}<br>Constant Cost:{$this->Cons_Cost}<br>Material Cost:{$this->Material}";
    }
    
}
$test = new Cost_Count("Apel",10000,10000,10000,10000,12);
echo $test->Sum_Constant();;


function Production_Cost($Sum_Constant,$Sum_Variabel){
    return $Sum_Constant+$Sum_Variabel;
}
function Total_Cost($Sum_Constant,$Sum_Material,$Sum_Variabel,$Sum_Overhead){
    return $Sum_Constant+$Sum_Material+$Sum_Variabel+$Sum_Overhead;
}
function Clean_Credit($Sum_Constant,$Sum_Material,$Sum_Variabel,$Sum_Overhead,$Sum_Gross){
    return $Sum_Gross-Total_Cost($Sum_Constant,$Sum_Material,$Sum_Variabel,$Sum_Overhead);
}
function Cost_Per_Product($Total_Stock,$Sum_Constant,$Sum_Material,$Sum_Variabel,$Sum_Overhead){
    return $Total_Stock/Total_Cost($Sum_Constant,$Sum_Material,$Sum_Variabel,$Sum_Overhead);
}

#Tes Data Realitas
$Total_Negara_Diakui=195;
$Total_Disiplin_Ilmu=816;





?>